com.amazonaws.codegen.model.config

## Class BasicCodeGenConfig

- java.lang.Object
- - com.amazonaws.codegen.model.config.BasicCodeGenConfig

    public class BasicCodeGenConfig
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`BasicCodeGenConfig(String interfaceName, String packageName, String packageSuffix, String endpoint)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getEndpoint()`
`String` `getInterfaceName()`
`String` `getPackageName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicCodeGenConfig

    public BasicCodeGenConfig(String interfaceName,
                              @Deprecated
                              String packageName,
                              String packageSuffix,
                              String endpoint)

### Method Detail

#### getInterfaceName

    public String getInterfaceName()

#### getPackageName

    public String getPackageName()

#### getEndpoint

    public String getEndpoint()